Bug 437709 - using the eject option from the right click menu on cdrom icon in nautilus will not eject drive tray if no media is present
using the eject option from the right click menu on cdrom icon in nautilus wi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 16:57 EDT by Need Real Name
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:11:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
menu demo (78.56 KB, image/png)
2008-03-16 16:57 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2008-03-16 16:57:41 EDT
Description of problem:

In nautilus, if you open up "Computer", then right click on the dvd drive icon
and select eject, I would expect the cdrom tray to open whether there was media
in the drive or not; 

however using this method, the drive tray only seems to open if there is media
in the drive. If you attempt to eject the tray using the right click menu
option, but with no media in the drive, you get an "Unable to mount media" error
window.

See the image png attachment.

Version-Release number of selected component (if applicable):

2.20.0

How reproducible:


Steps to Reproduce:
1. Make sure no media in cdrom drive
2. Open up "Computer" with nautilus
3. Right click on cdrom drive and select eject.
4. I would expect drive tray to open even with no media in tray.
  
Actual results:

You get a "Unable to mount media" error

Expected results:

Was expecting the drive tray to open, despite being empty.

Additional info:
Comment 1 Need Real Name 2008-03-16 16:57:41 EDT
Created attachment 298217 [details]
menu demo
Comment 2 Bug Zapper 2008-11-26 05:11:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:11:57 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.